FROM openshift/base-rhel8:v4.9.0.20211018.233142
ENV __doozer=update BUILD_RELEASE=202110182323.p0.git.8e2d1db.assembly.stream BUILD_VERSION=v4.9.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=9 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.9.0-202110182323.p0.git.8e2d1db.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8e2d1db OS_GIT_VERSION=4.9.0-202110182323.p0.git.8e2d1db.assembly.stream-8e2d1db SOURCE_DATE_EPOCH=1634328658 SOURCE_GIT_COMMIT=8e2d1db6f2c66128c3b5682e60cdaaee786d992f SOURCE_GIT_TAG=8e2d1db SOURCE_GIT_URL=https://github.com/openshift/ironic-hardware-inventory-recorder-image 

RUN dnf update -y && \
    dnf install -y openstack-ironic-python-agent lshw smartmontools iproute python3-hardware && \
    dnf clean all && \
    rm -rf /var/cache/{yum,dnf}/*

COPY ./runironic-agent.sh /bin/runironic-agent

ENTRYPOINT ["/bin/runironic-agent"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-ironic-hardware-inventory-recorder" \
        com.redhat.component="ironic-hardware-inventory-recorder-image-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Bare Metal Hardware Provisioning" \
        io.openshift.maintainer.subcomponent="ironic" \
        release="202110182323.p0.git.8e2d1db.assembly.stream" \
        io.openshift.build.commit.id="8e2d1db6f2c66128c3b5682e60cdaaee786d992f" \
        io.openshift.build.source-location="https://github.com/openshift/ironic-hardware-inventory-recorder-image" \
        io.openshift.build.commit.url="https://github.com/openshift/ironic-hardware-inventory-recorder-image/commit/8e2d1db6f2c66128c3b5682e60cdaaee786d992f" \
        version="v4.9.0"

